OGRE: Ogre::VisibleObjectsBoundsInfo Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::VisibleObjectsBoundsInfo Struct Reference

Structure collecting together information about the visible objects that have been discovered in a scene. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Member Functions

| VisibleObjectsBoundsInfo ()
void | reset ()
void | merge (const AxisAlignedBox &boxBounds, const Sphere &sphereBounds, const Camera *cam)

## Public Attributes

AxisAlignedBox | aabb
| The axis-aligned bounds of the visible objects.
Real | minDistance
| The closest a visible object is to the camera.
Real | maxDistance
| The farthest a visible objects is from the camera.

## Detailed Description

Structure collecting together information about the visible objects that have been discovered in a scene.

Definition at line 73 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::VisibleObjectsBoundsInfo::VisibleObjectsBoundsInfo | ( |  | ) |

| Definition at line 82 of file OgreSceneManager.h. References reset().

## Member Function Documentation

void Ogre::VisibleObjectsBoundsInfo::merge | ( | const AxisAlignedBox & | boxBounds,
|  | const Sphere & | sphereBounds,
|  | const Camera * | cam
| ) |

| Definition at line 94 of file OgreSceneManager.h. References aabb, maxDistance, Ogre::AxisAlignedBox::merge(), and minDistance.

void Ogre::VisibleObjectsBoundsInfo::reset | ( | void |  | ) |

| Definition at line 87 of file OgreSceneManager.h. References aabb, maxDistance, minDistance, and Ogre::AxisAlignedBox::setNull(). Referenced by VisibleObjectsBoundsInfo().

## Member Data Documentation

AxisAlignedBox Ogre::VisibleObjectsBoundsInfo::aabb

| The axis-aligned bounds of the visible objects. Definition at line 76 of file OgreSceneManager.h. Referenced by merge(), and reset().

Real Ogre::VisibleObjectsBoundsInfo::maxDistance

| The farthest a visible objects is from the camera. Definition at line 80 of file OgreSceneManager.h. Referenced by merge(), and reset().

Real Ogre::VisibleObjectsBoundsInfo::minDistance

| The closest a visible object is to the camera. Definition at line 78 of file OgreSceneManager.h. Referenced by merge(), and reset().

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:24 2008